<!-- user info section -->
<div (click)="toggle()" class="app-user-info">
  <!-- user info -->
  <app-user-info [user]="user$ | async" type="role"></app-user-info>

  <!-- dropdown -->
  <app-icon-dropdown class="ds-flex mh" [class.opened]="opened"></app-icon-dropdown>
</div>

<!-- menus -->
<app-card
  class="ds mh"
  (outsideClick)="close()"
  *ngIf="opened"
  [outsideDetectorContainer]="elementRef"
  appOutsideDetector
>
  <!-- user for card  -->
  <div class="app-card-user">
    <!-- user info -->
    <app-user-info [user]="user$ | async" type="email"></app-user-info>
  </div>

  <!-- actions -->
  <div class="app-actions">
    <!-- edit button -->
    <button (click)="openEditUser()" appIconButton>
      <!-- edit icon -->
      <app-icon-pencil></app-icon-pencil>
      Edit Profile
    </button>

    <!-- logout button -->
    <button (click)="logout()" appIconButton theme="warn">
      <!-- exit -->
      <app-icon-exit></app-icon-exit>
      Logout
    </button>
  </div>
</app-card>

<!-- side edit user -->
<app-side-modal-edit-user (closeClick)="closeEditUser()" *ngIf="editUserVisible"></app-side-modal-edit-user>
